Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 657079 - RFE: new plugin to group repos based on metadata tags
Summary: RFE: new plugin to group repos based on metadata tags
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum
Version: 6.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks: 657087
TreeView+ depends on / blocked
 
Reported: 2010-11-24 20:41 UTC by Dennis Gregorovic
Modified: 2014-01-21 06:19 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-17 14:59:10 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Dennis Gregorovic 2010-11-24 20:41:45 UTC
There are several use cases in which we would like to be able to group and/or select yum repositories based on attributes about them.

example 1) enable all 'source' repos
example 2) enable all 'debuginfo' repos
example 3) operate on a 'releases' repo and its corresponding 'updates' repo
example 4) compare 'target' os of layered application repository with the actual os installed

A discussion around this can be found at
https://fedorahosted.org/rel-eng/ticket/3759#comment:2

This would be of value to RHEL and is something we should consider implementing.


Note You need to log in before you can comment on or make changes to this bug.